import { protocolDecision } from "../../entity/protocolDecision";
import { ProtocolDecisionViewModel } from "../../viewmodel/admin/protocolDecision.models";

export default abstract class ProtocolDecisionFactory {
  /**
   * @description map record to protocolDecision
   * @param {protocol} record
   * @returns {ProtocolDecisionViewModel}
   */
  public static mapToSingle(record: protocolDecision): ProtocolDecisionViewModel {
    return {
      id: record.id,
      topic: record.topic,
      context: record.context,
      protocolId: record.protocolId,
    };
  }

  /**
   * @description map records to protocolDecision
   * @param {Array<protocol>} records
   * @returns {Array<ProtocolDecisionViewModel>}
   */
  public static mapToBase(records: Array<protocolDecision>): Array<ProtocolDecisionViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
